adminadopet/urls.py
from django.urls import path
from . import views

app_name = 'adminadopet'

urlpatterns = [
    path('', views.beranda, name='beranda'),
    path('eval-open-donasi/<id>/delete', views.delete_open_donasi, name= 'delete_open_donasi'),
    path('eval-open-donasi/<id>/', views.eval_open_donasi, name='eval_open_donasi'),
    path('eval-artikel/<id>/', views.eval_artikel, name='eval_artikel'),
    path('eval-artikel/<id>/delete', views.delete_artikel, name='delete_artikel'),
    path('berhasil-unggah/', views.berhasil_unggah, name="berhasil_unggah"),
    path('search/', views.search, name='search'),
]

adopet/urls.py
from django.contrib import admin
from django.urls import path, include

urlpatterns = [
    path('admin/', admin.site.urls),
    path('', include('homepage.urls')),
    path('user/', include('user.urls')),
    path('admin-adopet/', include('adminadopet.urls')),
]

user/urls.py
from django.urls import path
from . import views

app_name = 'user'

urlpatterns = [
    path('form-request-open-donasi/', views.form_request_open_donasi, name='form_request_open_donasi'),
    path('detail-donasi/<id>/', views.detail_donasi, name='detail_donasi'),
    path('detail-donasi/<id>/melakukan-donasi/', views.melakukan_donasi, name='melakukan_donasi'),
    path('detail-donasi/<id>/list-donasi/', views.list_donasi, name='list_donasi'),
    path('detail-donasi/<id_donasi>/list-donasi/<id_pendonasian>/delete', views.delete_pendonasian, name='delete_pendonasian'),
    path('detail-donasi/<id_donasi>/list-donasi/<id_pendonasian>/berhasil', views.berhasil_donasi, name='berhasil_donasi'),
    path('form-open-adopt/', views.form_open_adopt, name='form_open_adopt'),
    path('detail-open-adopt/<id>/', views.detail_open_adopt, name='detail_open_adopt'),
    path('detail-open-adopt/<id>/buat-forum/', views.buat_forum, name='buat_forum'),
    path('detail-open-adopt/<id_hewan>/forum/<id_forum>/reply/', views.reply_forum, name='reply_forum'),
    path('detail-open-adopt/<id>/form-pengadopsian/', views.form_pengadopsian, name='form_pengadopsian'),
    path('detail-open-adopt/<id>/detail-pengadopsian/', views.detail_pengadopsian, name='detail_pengadopsian'),
    path('detail-open-adopt/<id_hewan>/detail-pengadopsian/<id_adopsi>/delete', views.delete_request_adopsi, name='delete_request_adopsi'),
    path('detail-open-adopt/<id_hewan>/detail-pengadopsian/<id_adopsi>/berhasil', views.berhasil_adopsi, name='berhasil_adopsi'),
    path('profil/', views.profil, name='profil'),
    path('form-request-artikel/', views.form_request_artikel, name='form_request_artikel'),
    path('', views.beranda, name='beranda'),
    path('berhasil-unggah/', views.berhasil_unggah, name='berhasil_unggah'),
    path('berhasil-request/', views.berhasil_request, name='berhasil_request'),
    path('detail-artikel/<id>/', views.detail_artikel, name='detail_artikel'),
    path('profil/buat-testimoni/', views.buat_testimoni, name='buat_testimoni'),
    path('chatpage/', views.chatpage, name='chatpage'),
    path('chatpage/send/<id_pengirim>/<id_penerima>', views.send_message, name='send_message'),
    path('list_hewan/', views.list_hewan, name='list_hewan'),
    path('list_foto/', views.list_foto, name='list_foto'),
    path('search/', views.search, name='search')
]

templates/head.html
<!DOCTYPE html>
{% load static %}
<html lang="en">
<head>
    <!-- Meta Tag -->
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    
    <!-- BootstrapCDN CSS -->
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0-alpha.2/css/bootstrap.min.css" integrity="sha384-y3tfxAZXuh4HwSYylfB+J125MxIs6mR5FOHamPBG064zB+AFeWH94NdvaCBm8qnd" crossorigin="anonymous">
    <link rel="stylesheet" href="{% static 'css/style.css' %}" type="text/CSS">
    <link rel="stylesheet" href="{% static 'css/beranda-unlog.css' %}" type="text/CSS">

    <!-- BootstrapCDN JavaScript -->
    <script src="https://code.jquery.com/jquery-3.4.1.min.js" integrity="sha256-CSXorXvZcTkaix6Yvo6HppcZGetbYMGWSFlBw8HfCJo=" crossorigin="anonymous"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js" integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1" crossorigin="anonymous"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js" integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM" crossorigin="anonymous"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/bodymovin/5.6.8/lottie.min.js"></script>
    
    <!-- Jquery -->
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.4.1/jquery.min.js"></script>
    <link rel="stylesheet" href="https://ajax.googleapis.com/ajax/libs/jqueryui/1.12.1/themes/smoothness/jquery-ui.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jqueryui/1.12.1/jquery-ui.min.js"></script>

     <!--Landing Page JavaSript-->
     <script>
        console.log("haha")
        const lot = (Math.floor(Math.random() * 10)) % 2 === 0 ? 'community.json' : 'data.json';
        var animation = bodymovin.loadAnimation({
            container: document.getElementById('lottie'), // Required
            path: `../static/images/${lot}`, // Required
            renderer: 'svg/canvas/html', // Required
            loop: true, // Optional
            autoplay: true, // Optional
            name: "LandingPage", // Name for future reference. Optional.
        })
      </script>
      <script src="https://cdn.jsdelivr.net/particles.js/2.0.0/particles.min.js"></script>
      <script>
          particlesJS.load('particles-js', "{% static 'js/particlesLanding.json' %}", function () {
            console.log('callback - particles.js config loaded');
          });
      </script>

    <!-- Google Fonts -->
    <link href="https://fonts.googleapis.com/css2?family=Nunito:wght@400;600;700;800;900&display=swap" rel="stylesheet">
    <!-- font-family: 'Nunito', sans-serif; -->

    <title>{% block title %}AdoPet{% endblock title %}</title>
</head>
<body>
    {% block content_block %}{% endblock content_block %}
</body>
</html>

templates/navbar-admin.html
<!DOCTYPE html>
{% load static %}
<html lang="en">
<head>
    <!-- Meta Tag -->
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <link rel="stylesheet" href="{% static 'css/style.css' %}" type="text/CSS">
    
    <!-- BootstrapCDN CSS -->
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0-alpha.2/css/bootstrap.min.css" integrity="sha384-y3tfxAZXuh4HwSYylfB+J125MxIs6mR5FOHamPBG064zB+AFeWH94NdvaCBm8qnd" crossorigin="anonymous">

    <!-- BootstrapCDN JavaScript -->
    <script src="https://code.jquery.com/jquery-3.4.1.min.js" integrity="sha256-CSXorXvZcTkaix6Yvo6HppcZGetbYMGWSFlBw8HfCJo=" crossorigin="anonymous"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js" integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1" crossorigin="anonymous"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js" integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM" crossorigin="anonymous"></script>

    <!-- Jquery -->
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.4.1/jquery.min.js"></script>
    <link rel="stylesheet" href="https://ajax.googleapis.com/ajax/libs/jqueryui/1.12.1/themes/smoothness/jquery-ui.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jqueryui/1.12.1/jquery-ui.min.js"></script>

    <!-- Google Fonts -->
    <link href="https://fonts.googleapis.com/css2?family=Nunito:wght@400;600;700;800;900&display=swap" rel="stylesheet">
    <!-- font-family: 'Nunito', sans-serif; -->

    <title>{% block title %}AdoPet{% endblock title %}</title>
</head>
<body>
    <nav class="navbar navbar-expand-lg navbar-light bg-light" id="navbar-custom">
      <ul class="navbar-nav mr-auto">
        <li class="nav-item navbutton-left">
          <a class="navbar-brand" href="/">
            <img src="/static/images/logo-navbar.png" alt="" width="130" height="50">
          </a>
        </li>
      </ul>
      <ul class="navbar-nav ml-auto">
        <li class="nav-item navbutton-right">
          <form class="d-flex align-items-center flex-nowrap" action="{% url 'adminadopet:search' %}" method="GET">
            <input class="form-control me-2" type="search" placeholder="Search" id="search" name="search" aria-label="Search">
            <button class="btn btn-outline-success navbar-font" type="submit">Cari</button>
          </form>
        </li>
        <li class="nav-item navbutton-right">
          <a class="nav-link navbar-font" href="/">Logout</a>
        </li>
      </ul>
    </nav>
    {% block content_block %}{% endblock content_block %}
    {% block custom_style %}{% endblock custom_style %}
</body>
</html>

templates/navbar-unlog.html
<!DOCTYPE html>
{% load static %}
<html lang="en">
<head>
    <!-- Meta Tag -->
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    
    <!-- BootstrapCDN CSS -->
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0-alpha.2/css/bootstrap.min.css" integrity="sha384-y3tfxAZXuh4HwSYylfB+J125MxIs6mR5FOHamPBG064zB+AFeWH94NdvaCBm8qnd" crossorigin="anonymous">
    <link rel="stylesheet" href="{% static 'css/style.css' %}" type="text/CSS">
    <link rel="stylesheet" href="{% static 'css/beranda-unlog.css' %}" type="text/CSS">

    <!-- BootstrapCDN JavaScript -->
    <script src="https://code.jquery.com/jquery-3.4.1.min.js" integrity="sha256-CSXorXvZcTkaix6Yvo6HppcZGetbYMGWSFlBw8HfCJo=" crossorigin="anonymous"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js" integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1" crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.0/dist/umd/popper.min.js" integrity="sha384-Q6E9RHvbIyZFJoft+2mJbHaEWldlvI9IOYy5n3zV9zzTtmI3UksdQRVvoxMfooAo" crossorigin="anonymous"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js" integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM" crossorigin="anonymous"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/bodymovin/5.6.8/lottie.min.js"></script>

    <!-- Jquery -->
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.4.1/jquery.min.js"></script>
    <link rel="stylesheet" href="https://ajax.googleapis.com/ajax/libs/jqueryui/1.12.1/themes/smoothness/jquery-ui.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jqueryui/1.12.1/jquery-ui.min.js"></script>

    <!--Landing Page JavaSript-->
    <script>
      console.log("haha")
      const lot = (Math.floor(Math.random() * 10)) % 2 === 0 ? 'community.json' : 'data.json';
      var animation = bodymovin.loadAnimation({
          container: document.getElementById('lottie'), // Required
          path: `../static/images/${lot}`, // Required
          renderer: 'svg/canvas/html', // Required
          loop: true, // Optional
          autoplay: true, // Optional
          name: "LandingPage", // Name for future reference. Optional.
      })
    </script>
    <script src="https://cdn.jsdelivr.net/particles.js/2.0.0/particles.min.js"></script>
    <script>
        particlesJS.load('particles-js', "{% static 'js/particlesLanding.json' %}", function () {
          console.log('callback - particles.js config loaded');
        });
    </script>

    <!-- Google Fonts -->
    <link href="https://fonts.googleapis.com/css2?family=Nunito:wght@400;600;700;800;900&display=swap" rel="stylesheet">
    <!-- font-family: 'Nunito', sans-serif; -->
    <link href="https://fonts.googleapis.com/css2?family=Poppins:wght@500;700&display=swap" rel="stylesheet">

    <title>{% block title %}AdoPet{% endblock title %}</title>
</head>
<body>
    <nav class="navbar navbar-expand-lg navbar-light bg-light" id="navbar-custom">
      <ul class="navbar-nav mr-auto">
        <li class="nav-item navbutton-left">
          <a class="navbar-brand" href="/">
            <img src="/static/images/logo-navbar.png" alt="" width="130" height="50">
          </a>
        </li>
      </ul>
      <ul class="navbar-nav ml-auto">
        <li class="nav-item navbutton-right">
          <form class="d-flex align-items-center flex-nowrap" action="{% url 'user:search' %}" method="GET">
            <input class="form-control me-2" type="search" placeholder="Search" id="search" name="search" aria-label="Search">
            <button class="btn btn-outline-success navbar-font" type="submit">Cari</button>
          </form>
        </li>
        <li class="nav-item navbutton-right">
          <a class="nav-link navbar-font" href="/login">Login</a>
        </li>
      </ul>
    </nav>
    {% block content_block %}{% endblock content_block %}
    {% block custom_style %}{% endblock custom_style %}
</body>
</html>

templates/navbar.html
<!DOCTYPE html>
{% load static %}
<html lang="en">
<head>
    <!-- Meta Tag -->
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <link rel="stylesheet" href="{% static 'css/style.css' %}" type="text/CSS">
    
    <!-- BootstrapCDN CSS -->
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0-alpha.2/css/bootstrap.min.css" integrity="sha384-y3tfxAZXuh4HwSYylfB+J125MxIs6mR5FOHamPBG064zB+AFeWH94NdvaCBm8qnd" crossorigin="anonymous">

    <!-- BootstrapCDN JavaScript -->
    <script src="https://code.jquery.com/jquery-3.4.1.min.js" integrity="sha256-CSXorXvZcTkaix6Yvo6HppcZGetbYMGWSFlBw8HfCJo=" crossorigin="anonymous"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js" integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1" crossorigin="anonymous"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js" integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM" crossorigin="anonymous"></script>

    <!-- Jquery -->
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.4.1/jquery.min.js"></script>
    <link rel="stylesheet" href="https://ajax.googleapis.com/ajax/libs/jqueryui/1.12.1/themes/smoothness/jquery-ui.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jqueryui/1.12.1/jquery-ui.min.js"></script>

    <!-- Google Fonts -->
    <link href="https://fonts.googleapis.com/css2?family=Nunito:wght@400;600;700;800;900&display=swap" rel="stylesheet">
    <!-- font-family: 'Nunito', sans-serif; -->

    <title>{% block title %}AdoPet{% endblock title %}</title>
</head>
<body>
    <nav class="navbar navbar-expand-lg navbar-light bg-light" id="navbar-custom">
      <ul class="navbar-nav mr-auto">
        <li class="nav-item navbutton-left">
          <a class="navbar-brand" href="{% url 'user:beranda' %}">
              <img class="navbar-icon" src="/static/images/logo-navbar.png" alt="" width="130" height="50">
          </a>
        </li>
      </ul>
      <ul class="navbar-nav mr-auto">
        <li class="nav-item navbutton-left">
          <a class="nav-link navbar-font" href="{% url 'user:form_request_artikel' %}">Buat Artikel</a>
        </li>
        <li class="nav-item navbutton-left">
          <a class="nav-link navbar-font" href="{% url 'user:form_open_adopt' %}">Buat Open Adopt</a>
        </li>
        <li class="nav-item navbutton-left">
          <a class="nav-link navbar-font" href="{% url 'user:form_request_open_donasi' %}">Buat Open Donasi</a>
        </li>
      </ul>
      <ul class="navbar-nav ml-auto">
        <li class="nav-item navbutton-right">
          <form class="d-flex align-items-center flex-nowrap" action="{% url 'user:search' %}" method="GET">
            <input class="form-control me-2" type="search" placeholder="Search" id="search" name="search" aria-label="Search">
            <button class="btn btn-outline-success navbar-font" type="submit">Cari</button>
          </form>
        </li>
        <li class="nav-item navbutton-right">
          <a class="nav-link navbar-font" href="/user/profil/">Profil</a>
        </li>
        <li class="nav-item navbutton-right">
          <a class="nav-link navbar-font" href="/">Logout</a>
        </li>
      </ul>
    </nav>
    {% block content_block %}{% endblock content_block %}
    {% block custom_style %}{% endblock custom_style %}
</body>
</html>